Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3479)
@@ -2910,17 +622,422 @@
 		executableUserSymbolLevel = 0;
 		libgmallocEnabled = 0;
-		name = XP0;
-		savedGlobals = {
-		};
+		name = BaoAdc;
 		sourceDirectories = (
 		);
 	};
-	6DEA07D30C88612B0016C028 /* PIT0 */ = {
+	6D622CE80D8ED11400428D9A /* BaoAdc.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {812, 1232}}";
+			sepNavSelRange = "{1061, 0}";
+			sepNavVisRect = "{{0, 707}, {812, 252}}";
+		};
+	};
+	6D622CE90D8ED11400428D9A /* BaoAdc.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {866, 1022}}";
+			sepNavSelRange = "{247, 0}";
+			sepNavVisRect = "{{0, 0}, {866, 405}}";
+		};
+	};
+	6D622DC60D8ED19D00428D9A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 18";
+		rLen = 0;
+		rLoc = 2105;
+		rType = 0;
+		vrLen = 134;
+		vrLoc = 0;
+	};
+	6D6F12AD0D644B2B00583608 /* pisysdep.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {659, 966}}";
+			sepNavSelRange = "{511, 0}";
+			sepNavVisRect = "{{0, 28}, {659, 405}}";
+		};
+	};
+	6D6F12F30D644DA100583608 /* pigraphquartz.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {659, 1680}}";
+			sepNavSelRange = "{1928, 0}";
+			sepNavVisRect = "{{0, 435}, {659, 405}}";
+		};
+	};
+	6D6F132E0D6454DD00583608 /* pifontquartz.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {659, 700}}";
+			sepNavSelRange = "{547, 0}";
+			sepNavVisRect = "{{0, 14}, {659, 405}}";
+		};
+	};
+	6D6F13300D64550C00583608 /* pifontquartz.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 3080}}";
+			sepNavSelRange = "{94, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F134D0D64572500583608 /* picmapquartz.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 2814}}";
+			sepNavSelRange = "{698, 0}";
+			sepNavVisRect = "{{0, 210}, {817, 714}}";
+		};
+	};
+	6D6F134F0D64573200583608 /* picmapquartz.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 714}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F137F0D6458E200583608 /* pigraphquartz.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {719, 11172}}";
+			sepNavSelRange = "{673, 0}";
+			sepNavVisRect = "{{0, 0}, {719, 583}}";
+		};
+	};
+	6D6F13AB0D645C3200583608 /* picmap.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1064}}";
+			sepNavSelRange = "{272, 21}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F13AF0D645C4D00583608 /* picmapgen.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 714}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F13BF0D645E8B00583608 /* piconsenum.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 714}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F13F70D64604000583608 /* pigratt.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 12796}}";
+			sepNavSelRange = "{226, 23}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F14100D64611D00583608 /* strutilxx.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1134}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 420}, {817, 714}}";
+		};
+	};
+	6D6F14110D64611D00583608 /* strutilxx.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 714}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6D6F14740D6463FA00583608 /* xp1.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {866, 2996}}";
+			sepNavSelRange = "{2493, 0}";
+			sepNavVisRect = "{{0, 928}, {866, 416}}";
+		};
+	};
+	6D7D4E500667277A009E5976 /* PIMenuBarQuartz.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
+			sepNavSelRange = "{273, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6D7D4E510667277A009E5976 /* PIMenuBarQuartz.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {719, 1764}}";
+			sepNavSelRange = "{1206, 0}";
+			sepNavVisRect = "{{0, 285}, {719, 583}}";
+			sepNavWindowFrame = "{{15, 53}, {1136, 944}}";
+		};
+	};
+	6D7D4E5506673450009E5976 /* PIMenuQuartz.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 1120}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6D7D4E5606673450009E5976 /* PIMenuQuartz.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 4172}}";
+			sepNavSelRange = "{6361, 0}";
+			sepNavVisRect = "{{0, 3315}, {817, 857}}";
+			sepNavWindowFrame = "{{15, 53}, {1136, 944}}";
+		};
+	};
+	6D8292EC0623F784009E5976 /* PIControl.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 868}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6D8292ED0623F784009E5976 /* PIControl.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1904}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 430}}";
+		};
+	};
+	6D98FCF4062C1CDB009E5976 /* PIWindowQuartz.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {596, 868}}";
+			sepNavSelRange = "{1114, 0}";
+			sepNavVisRect = "{{0, 458}, {557, 410}}";
+		};
+	};
+	6D98FCF5062C1CDB009E5976 /* PIWindowQuartz.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {812, 2030}}";
+			sepNavSelRange = "{411, 0}";
+			sepNavVisRect = "{{0, 85}, {812, 336}}";
+			sepNavWindowFrame = "{{15, 53}, {1136, 944}}";
+		};
+	};
+	6DC3740A070405C7009E5976 /* todo.txt */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {772, 840}}";
+			sepNavSelRange = "{260, 0}";
+			sepNavVisRect = "{{0, 0}, {772, 840}}";
+			sepNavWindowFrame = "{{15, 33}, {811, 969}}";
+		};
+	};
+	6DDB77DC0663260E009E5976 /* piapplgen.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 2758}}";
+			sepNavSelRange = "{5083, 0}";
+			sepNavVisRect = "{{0, 264}, {817, 590}}";
+		};
+	};
+	6DDB77DD06632616009E5976 /* piapplgen.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {1062, 826}}";
+			sepNavSelRange = "{1106, 103}";
+			sepNavVisRect = "{{0, 382}, {1062, 287}}";
+		};
+	};
+	6DDB77DE06632635009E5976 /* pimenubargen.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
+			sepNavSelRange = "{105, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6DDB77DF0663263C009E5976 /* pimenubargen.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6DDB77E00663264C009E5976 /* pimenugen.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
+			sepNavSelRange = "{196, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6DDB77E10663264C009E5976 /* pimenugen.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 1736}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 884}, {824, 850}}";
+		};
+	};
+	6DDB77E20663266A009E5976 /* pistdwdggen.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {779, 1904}}";
+			sepNavSelRange = "{1130, 0}";
+			sepNavVisRect = "{{0, 1237}, {779, 410}}";
+			sepNavWindowFrame = "{{15, 53}, {1136, 944}}";
+		};
+	};
+	6DDB77E30663266A009E5976 /* pistdwdggen.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {806, 4046}}";
+			sepNavSelRange = "{1940, 13}";
+			sepNavVisRect = "{{0, 3636}, {779, 410}}";
+		};
+	};
+	6DDB77E80663268E009E5976 /* piwindowgen.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 714}}";
+			sepNavSelRange = "{237, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
+		};
+	};
+	6DDB77E90663268E009E5976 /* piwindowgen.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {824, 1596}}";
+			sepNavSelRange = "{2800, 0}";
+			sepNavVisRect = "{{0, 0}, {824, 850}}";
+		};
+	};
+	6DE740000DA37A33004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEE54B00DA294BA0087C115 /* pistdwdgx.h */;
+		name = "pistdwdgx.h: 77";
+		rLen = 0;
+		rLoc = 2029;
+		rType = 0;
+		vrLen = 1041;
+		vrLoc = 1985;
+	};
+	6DE740010DA37A33004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFE0619C1F5009E5976 /* piwdgmosx.h */;
+		name = "piwdgmosx.h: GetControlRef";
+		rLen = 0;
+		rLoc = 3341;
+		rType = 0;
+		vrLen = 1295;
+		vrLoc = 2198;
+	};
+	6DE740020DA37A33004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFF0619C1F5009E5976 /* piwdgmosx.cpp */;
+		name = "piwdgmosx.cpp: 23";
+		rLen = 0;
+		rLoc = 542;
+		rType = 0;
+		vrLen = 611;
+		vrLoc = 21;
+	};
+	6DE740040DA37A33004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEE54B00DA294BA0087C115 /* pistdwdgx.h */;
+		name = "pistdwdgx.h: 120";
+		rLen = 0;
+		rLoc = 3439;
+		rType = 0;
+		vrLen = 865;
+		vrLoc = 2718;
+	};
+	6DE7400C0DA37A33004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFE0619C1F5009E5976 /* piwdgmosx.h */;
+		name = "piwdgmosx.h: XSize";
+		rLen = 0;
+		rLoc = 3749;
+		rType = 0;
+		vrLen = 1094;
+		vrLoc = 1503;
+	};
+	6DE7414F0DA37C4A004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "pistdwdgmosx.h: _state";
+		rLen = 0;
+		rLoc = 2441;
+		rType = 0;
+		vrLen = 1620;
+		vrLoc = 1017;
+	};
+	6DE7415E0DA37DE0004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 38";
+		rLen = 0;
+		rLoc = 585;
+		rType = 0;
+		vrLen = 514;
+		vrLoc = 0;
+	};
+	6DE741E70DA3BA11004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: 267";
+		rLen = 0;
+		rLoc = 6350;
+		rType = 0;
+		vrLen = 735;
+		vrLoc = 6351;
+	};
+	6DE741EF0DA3BA11004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DDB77E30663266A009E5976 /* pistdwdggen.cc */;
+		name = "SetMsg(msg);";
+		rLen = 13;
+		rLoc = 1940;
+		rType = 0;
+		vrLen = 1129;
+		vrLoc = 7734;
+	};
+	6DE742000DA3BA11004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DDB77E30663266A009E5976 /* pistdwdggen.cc */;
+		name = "SetMsg(msg);";
+		rLen = 13;
+		rLoc = 1940;
+		rType = 0;
+		vrLen = 1129;
+		vrLoc = 7734;
+	};
+	6DE742650DA3DBF7004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 48";
+		rLen = 0;
+		rLoc = 1214;
+		rType = 0;
+		vrLen = 829;
+		vrLoc = 516;
+	};
+	6DE742670DA3DBF7004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF4062C1CDB009E5976 /* PIWindowQuartz.h */;
+		name = "PIWindowQuartz.h: IfSensitive";
+		rLen = 0;
+		rLoc = 1114;
+		rType = 0;
+		vrLen = 936;
+		vrLoc = 680;
+	};
+	6DE7426F0DA3DBF7004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF4062C1CDB009E5976 /* PIWindowQuartz.h */;
+		name = "PIWindowQuartz.h: IfSensitive";
+		rLen = 0;
+		rLoc = 1114;
+		rType = 0;
+		vrLen = 936;
+		vrLoc = 680;
+	};
+	6DE742700DA3DBF7004BB8A9 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF5062C1CDB009E5976 /* PIWindowQuartz.cpp */;
+		name = "PIWindowQuartz.cpp: 94";
+		rLen = 0;
+		rLoc = 1806;
+		rType = 0;
+		vrLen = 529;
+		vrLoc = 1983;
+	};
+	6DE7443F0C7C2E390051D656 /* xp0.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {866, 1554}}";
+			sepNavSelRange = "{2528, 0}";
+			sepNavVisRect = "{{0, 1149}, {866, 405}}";
+		};
+	};
+	6DE745DF0C7C4F530051D656 /* XP0 */ = {
 		activeExec = 0;
 		executables = (
-			6DEA07E10C88612B0016C028 /* PIT0 */,
-		);
-	};
-	6DEA07E10C88612B0016C028 /* PIT0 */ = {
+			6DE745EE0C7C4F530051D656 /* XP0 */,
+		);
+	};
+	6DE745EE0C7C4F530051D656 /* XP0 */ = {
 		isa = PBXExecutable;
 		activeArgIndex = 2147483647;
@@ -2943,23 +1060,17 @@
 		executableUserSymbolLevel = 0;
 		libgmallocEnabled = 0;
-		name = PIT0;
+		name = XP0;
+		savedGlobals = {
+		};
 		sourceDirectories = (
 		);
 	};
-	6DEA07E50C8861E90016C028 /* pit0.cc */ = {
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 4494}}";
-			sepNavSelRange = "{5514, 0}";
-			sepNavVisRect = "{{0, 2803}, {817, 857}}";
-			sepNavWindowFrame = "{{15, 28}, {1002, 969}}";
-		};
-	};
-	6DEA82650C7ED3A500B7D5DD /* XP1 */ = {
+	6DEA07D30C88612B0016C028 /* PIT0 */ = {
 		activeExec = 0;
 		executables = (
-			6DEA82740C7ED3A500B7D5DD /* XP1 */,
-		);
-	};
-	6DEA82740C7ED3A500B7D5DD /* XP1 */ = {
+			6DEA07E10C88612B0016C028 /* PIT0 */,
+		);
+	};
+	6DEA07E10C88612B0016C028 /* PIT0 */ = {
 		isa = PBXExecutable;
 		activeArgIndex = 2147483647;
@@ -2979,4 +1090,43 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
+		libgmallocEnabled = 0;
+		name = PIT0;
+		sourceDirectories = (
+		);
+	};
+	6DEA07E50C8861E90016C028 /* pit0.cc */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {1062, 4354}}";
+			sepNavSelRange = "{4886, 91}";
+			sepNavVisRect = "{{0, 2272}, {1062, 287}}";
+			sepNavWindowFrame = "{{15, 28}, {1002, 969}}";
+		};
+	};
+	6DEA82650C7ED3A500B7D5DD /* XP1 */ = {
+		activeExec = 0;
+		executables = (
+			6DEA82740C7ED3A500B7D5DD /* XP1 */,
+		);
+	};
+	6DEA82740C7ED3A500B7D5DD /* XP1 */ = {
+		isa = PBXExecutable;
+		activeArgIndex = 2147483647;
+		activeArgIndices = (
+		);
+		argumentStrings = (
+		);
+		configStateDict = {
+		};
+		cppStopOnCatchEnabled = 0;
+		cppStopOnThrowEnabled = 0;
+		customDataFormattersEnabled = 1;
+		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
+		dylibVariantSuffix = "";
+		enableDebugStr = 1;
+		environmentEntries = (
+		);
 		executableSystemSymbolLevel = 3;
 		executableUserSymbolLevel = 3;
@@ -2988,14 +1138,14 @@
 	6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 1078}}";
-			sepNavSelRange = "{1012, 0}";
-			sepNavVisRect = "{{0, 0}, {817, 590}}";
+			sepNavIntBoundsRect = "{{0, 0}, {812, 1848}}";
+			sepNavSelRange = "{2480, 0}";
+			sepNavVisRect = "{{0, 1097}, {812, 383}}";
 		};
 	};
 	6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 3024}}";
-			sepNavSelRange = "{751, 0}";
-			sepNavVisRect = "{{0, 2156}, {817, 545}}";
+			sepNavIntBoundsRect = "{{0, 0}, {812, 4872}}";
+			sepNavSelRange = "{7742, 0}";
+			sepNavVisRect = "{{0, 4210}, {812, 383}}";
 			sepNavWindowFrame = "{{15, 53}, {1136, 944}}";
 		};
@@ -3007,4 +1157,343 @@
 		);
 	};
+	6DED24930DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF5062C1CDB009E5976 /* PIWindowQuartz.cpp */;
+		name = "PIWindowQuartz.cpp: 18";
+		rLen = 0;
+		rLoc = 411;
+		rType = 0;
+		vrLen = 719;
+		vrLoc = 148;
+	};
+	6DED24970DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF5062C1CDB009E5976 /* PIWindowQuartz.cpp */;
+		name = "PIWindowQuartz.cpp: 18";
+		rLen = 0;
+		rLoc = 411;
+		rType = 0;
+		vrLen = 719;
+		vrLoc = 148;
+	};
+	6DED24980DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: 343";
+		rLen = 0;
+		rLoc = 8365;
+		rType = 0;
+		vrLen = 459;
+		vrLoc = 7954;
+	};
+	6DED24990DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: CreateCheckBox";
+		rLen = 0;
+		rLoc = 741;
+		rType = 0;
+		vrLen = 545;
+		vrLoc = 435;
+	};
+	6DED249A0DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "pistdwdgmosx.h: PICheckBoxQuartz";
+		rLen = 116;
+		rLoc = 2170;
+		rType = 0;
+		vrLen = 685;
+		vrLoc = 2092;
+	};
+	6DED249B0DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: vector";
+		rLen = 0;
+		rLoc = 981;
+		rType = 0;
+		vrLen = 688;
+		vrLoc = 435;
+	};
+	6DED24A60DA60B380095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 20";
+		rLen = 0;
+		rLoc = 389;
+		rType = 0;
+		vrLen = 695;
+		vrLoc = 140;
+	};
+	6DED24A70DA60B380095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: vector";
+		rLen = 0;
+		rLoc = 981;
+		rType = 0;
+		vrLen = 664;
+		vrLoc = 459;
+	};
+	6DED24CF0DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: no matching function for call to 'MixReg::CreateRadioButton(RegWind* const, const char [19], int, int, int, int, int, int)'";
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		rLen = 0;
+		rLoc = 63;
+		rType = 1;
+	};
+	6DED24D10DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "pistdwdgmosx.h: 98";
+		rLen = 0;
+		rLoc = 2480;
+		rType = 0;
+		vrLen = 672;
+		vrLoc = 2048;
+	};
+	6DED24D20DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: PIRadioQuartz";
+		rLen = 0;
+		rLoc = 7742;
+		rType = 0;
+		vrLen = 946;
+		vrLoc = 7130;
+	};
+	6DED24D30DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 25";
+		rLen = 0;
+		rLoc = 550;
+		rType = 0;
+		vrLen = 636;
+		vrLoc = 0;
+	};
+	6DED24D40DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 43";
+		rLen = 0;
+		rLoc = 903;
+		rType = 0;
+		vrLen = 791;
+		vrLoc = 532;
+	};
+	6DED24D50DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 59";
+		rLen = 0;
+		rLoc = 2238;
+		rType = 0;
+		vrLen = 1024;
+		vrLoc = 409;
+	};
+	6DED24D60DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "pistdwdgmosx.h: 98";
+		rLen = 0;
+		rLoc = 2480;
+		rType = 0;
+		vrLen = 672;
+		vrLoc = 2048;
+	};
+	6DED24D70DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 49";
+		rLen = 0;
+		rLoc = 985;
+		rType = 0;
+		vrLen = 794;
+		vrLoc = 514;
+	};
+	6DED24D80DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: PIRadioQuartz";
+		rLen = 0;
+		rLoc = 7742;
+		rType = 0;
+		vrLen = 946;
+		vrLoc = 7130;
+	};
+	6DED24D90DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 27";
+		rLen = 0;
+		rLoc = 604;
+		rType = 0;
+		vrLen = 697;
+		vrLoc = 33;
+	};
+	6DED24DA0DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 43";
+		rLen = 0;
+		rLoc = 903;
+		rType = 0;
+		vrLen = 791;
+		vrLoc = 532;
+	};
+	6DED24DB0DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 23";
+		rLen = 0;
+		rLoc = 411;
+		rType = 0;
+		vrLen = 636;
+		vrLoc = 0;
+	};
+	6DED24DC0DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 43";
+		rLen = 0;
+		rLoc = 903;
+		rType = 0;
+		vrLen = 791;
+		vrLoc = 532;
+	};
+	6DED24DD0DA62E480095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 25";
+		rLen = 0;
+		rLoc = 550;
+		rType = 0;
+		vrLen = 636;
+		vrLoc = 0;
+	};
+	6DED24EF0DA6560C0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 61";
+		rLen = 0;
+		rLoc = 1983;
+		rType = 0;
+		vrLen = 1838;
+		vrLoc = 1489;
+	};
+	6DED24F00DA6560C0095CEF6 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 43";
+		rLen = 0;
+		rLoc = 903;
+		rType = 0;
+		vrLen = 795;
+		vrLoc = 532;
+	};
+	6DED738F0D8FA59000D85368 /* RegisterWindow.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {812, 1652}}";
+			sepNavSelRange = "{903, 0}";
+			sepNavVisRect = "{{0, 434}, {812, 383}}";
+		};
+	};
+	6DED73900D8FA59000D85368 /* RegisterWindow.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {812, 4186}}";
+			sepNavSelRange = "{1983, 0}";
+			sepNavVisRect = "{{0, 730}, {812, 435}}";
+		};
+	};
+	6DED741A0D8FAEE700D85368 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 16";
+		rLen = 0;
+		rLoc = 1617;
+		rType = 0;
+		vrLen = 512;
+		vrLoc = 0;
+	};
+	6DEE54A90DA294BA0087C115 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DDB77E20663266A009E5976 /* pistdwdggen.h */;
+		name = "pistdwdggen.h: 40";
+		rLen = 0;
+		rLoc = 1130;
+		rType = 0;
+		vrLen = 776;
+		vrLoc = 2965;
+	};
+	6DEE54B00DA294BA0087C115 /* pistdwdgx.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = pistdwdgx.h;
+		path = /Users/brunomansoux/Programmes/PI4Mac/PI/pistdwdgx.h;
+		sourceTree = "<absolute>";
+	};
+	6DEF36C90DA1181700B5B599 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA07E50C8861E90016C028 /* pit0.cc */;
+		name = "pit0.cc: 33";
+		rLen = 0;
+		rLoc = 831;
+		rType = 0;
+		vrLen = 819;
+		vrLoc = 434;
+	};
+	6DEF36D10DA1181700B5B599 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "PILabelQuartz(PIContainerGen* par, const char* nom,int sx=10, int sy=10, int px=0, int py=0);";
+		rLen = 95;
+		rLoc = 219;
+		rType = 0;
+		vrLen = 645;
+		vrLoc = 0;
+	};
+	6DEF36D50DA1181700B5B599 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA07E50C8861E90016C028 /* pit0.cc */;
+		name = "pit0.cc: 189";
+		rLen = 0;
+		rLoc = 5514;
+		rType = 0;
+		vrLen = 626;
+		vrLoc = 2900;
+	};
+	6DEF36DD0DA1181700B5B599 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFF0619C1F5009E5976 /* piwdgmosx.cpp */;
+		name = "piwdgmosx.cpp: 37";
+		rLen = 0;
+		rLoc = 690;
+		rType = 0;
+		vrLen = 355;
+		vrLoc = 468;
+	};
+	6DEF36E20DA1181700B5B599 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DDB77E20663266A009E5976 /* pistdwdggen.h */;
+		name = "pistdwdggen.h: 19";
+		rLen = 0;
+		rLoc = 445;
+		rType = 0;
+		vrLen = 742;
+		vrLoc = 1578;
+	};
+	6DEF36ED0DA1181700B5B599 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 260";
+		rLen = 0;
+		rLoc = 10470;
+		rType = 0;
+		vrLen = 2194;
+		vrLoc = 5395;
+	};
 	6DF012F40CBF6A510026E580 /* PIPeriodQuartz.h */ = {
 		uiCtxt = {
@@ -3021,4 +1510,14 @@
 			sepNavWindowFrame = "{{15, 28}, {1002, 969}}";
 		};
+	};
+	6DF1F00F0DA4C0F30081F718 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFE0619C1F5009E5976 /* piwdgmosx.h */;
+		name = ControlRef;
+		rLen = 10;
+		rLoc = 3299;
+		rType = 0;
+		vrLen = 1628;
+		vrLoc = 2169;
 	};
 	6DF29DE50B71EEB300F55B65 /* Source Control */ = {
@@ -3038,14 +1537,14 @@
 	6DFD5AD406774017009E5976 /* PIApplQuartz.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 672}}";
-			sepNavSelRange = "{940, 0}";
-			sepNavVisRect = "{{0, 0}, {817, 590}}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 714}}";
+			sepNavSelRange = "{261, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 714}}";
 		};
 	};
 	6DFD5AD506774017009E5976 /* PIApplQuartz.cpp */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 1358}}";
-			sepNavSelRange = "{1200, 0}";
-			sepNavVisRect = "{{0, 490}, {817, 590}}";
+			sepNavIntBoundsRect = "{{0, 0}, {847, 1358}}";
+			sepNavSelRange = "{1204, 0}";
+			sepNavVisRect = "{{0, 0}, {0, 0}}";
 		};
 	};
Index: /trunk/SophyaPI/PI/Quartz/PIApplQuartz.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PIApplQuartz.cpp	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/PIApplQuartz.cpp	(revision 3479)
@@ -39,7 +39,7 @@
         ExitToShell();
 		
-  topcont = new PIContainer((PIContainer*)this,(const char*)"Main Window",width,height,10,10);
+  topcont = new PIContainer((PIContainer*)this,(const char*)"Main Window",width,height,50,50);
   menubar = new PIMenubar(this, "DefMenubar");
-  mainWindow = new PIWindow(this,(const char*)"Main Window",PIWK_normal,width,height,10,10);
+  mainWindow = new PIWindow(this,(const char*)"Main Window",PIWK_normal,width,height,50,50);
   mainWindow->Refresh();
 }
Index: /trunk/SophyaPI/PI/Quartz/PIWindowQuartz.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PIWindowQuartz.cpp	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/PIWindowQuartz.cpp	(revision 3479)
@@ -16,6 +16,4 @@
     WindowAttributes windowAttributes;
     
-    printf ("New Window Quartz %s \n",nom);
-    fflush (stdout);
 /*
 	wParent = ((PIContainer *)par)->GetWindowPtr();
@@ -24,6 +22,7 @@
 	
     SetRect(&wdgRect,px,py,px+sx,py+sy);
-    windowAttributes = kWindowStandardDocumentAttributes | kWindowCompositingAttribute ;
-
+    // windowAttributes = kWindowStandardDocumentAttributes | kWindowCompositingAttribute ;
+	windowAttributes = kWindowStandardDocumentAttributes;
+	
     err = CreateNewWindow (kDocumentWindowClass,windowAttributes,&wdgRect,&wPtr);
     if (err)
@@ -33,10 +32,5 @@
     err = SetWindowTitleWithCFString (wPtr,title);
     
-    if (err)
-        printf ("PIWindowQuartz Title Err = %d \n",err);
-    fflush (stdout);
     InstallStandardEventHandler(GetWindowEventTarget(wPtr)); /* installs the default */    
-    printf("Window installed with title %s\n",nom);
-    fflush (stdout);
 }
 
@@ -83,11 +77,10 @@
 {
     SetPortWindowPort(wPtr);
-    ShowWindow (wPtr);
     BeginUpdate(wPtr);
- //   EraseRect(GetWindowPortBounds(window, &tempRect));
+	EraseRect(GetWindowPortBounds(wPtr, &wdgRect));
     DrawControls(wPtr);
     DrawGrowIcon(wPtr);
     EndUpdate(wPtr);
-
+    ShowWindow (wPtr);
     return ;
 }
Index: /trunk/SophyaPI/PI/Quartz/QuartzAppTest.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/QuartzAppTest.cpp	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/QuartzAppTest.cpp	(revision 3479)
@@ -11,5 +11,4 @@
 #include <PIMenuBarQuartz.h>
 #include <PIWindowQuartz.h>
-#include <PIButtonQuartz.h>
 #include <pistdwdgmosx.h>
 
Index: /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp	(revision 3479)
@@ -10,4 +10,8 @@
 #include "pistdwdgmosx.h"
 
+vector<PIWdg*> vpiwdg;
+
+static void CommonControlActionCallback (ControlRef theControl, ControlPartCode partCode);
+
 
 /* ========== PILabelQuartz ========== */
@@ -52,5 +56,4 @@
 : PITextGen(par, nom, sx, sy, px, py)
 {
-	OSStatus err;
 	wParent = ((PIContainer *)par)->GetWindowPtr();
     SetRect(&wdgRect,px,py,px+sx,py+sy);
@@ -214,2 +217,131 @@
 
 }
+
+/* ========== PIButtonQuartz ========== */
+
+EventTypeSpec controlEvents[] = {{kEventClassControl, kEventControlHit}};
+
+PIButtonQuartz::PIButtonQuartz(PIContainerQuartz *par,const char *nom, PIMessage msg,int sx, int sy, int px, int py)
+:PIButtonGen(par,nom,msg,sx,sy,px,py)
+{
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+	SetPortWindowPort(wParent);
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+
+    CreatePushButtonControl (par->GetWindowPtr(),&wdgRect,title,&contH);
+    SetControlTitleWithCFString (contH, title);
+	_actionProc = NewControlActionUPP (CommonControlActionCallback);
+	SetControlAction (contH, _actionProc);
+	vpiwdg.push_back(this);
+}
+
+
+PIButtonQuartz::~PIButtonQuartz()
+{
+}
+
+void PIButtonQuartz::ActivatePress(bool acp)
+{
+	return;
+}	
+
+void PIButtonQuartz::SetLabel(string const& sText)
+{
+    title = CFStringCreateWithCString (NULL, sText.c_str(), kCFStringEncodingMacRoman);
+	SetControlTitleWithCFString(contH,title);
+	return;
+}
+
+static void CommonControlActionCallback (ControlRef theControl, ControlPartCode partCode)
+{
+	vector<PIWdg*>::iterator it;
+	for(it = vpiwdg.begin(); it != vpiwdg.end(); it++)
+        {
+            if (((*it)->GetControlRef())==theControl)
+            {
+                (*it)->Send((*it)->Msg(),PIMsg_Click,NULL);
+				printf ("click : %d \n",(int)(*it)->Msg());
+                break;
+            }
+        }
+}
+
+
+/* ========== PICheckBoxQuartz ========== */
+
+PICheckBoxQuartz::PICheckBoxQuartz(PIContainerQuartz *par,const char *nom, PIMessage msg,int sx, int sy, int px, int py)
+:PICheckBoxGen(par,nom,msg,sx,sy,px,py)
+{
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+	SetPortWindowPort(wParent);
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+	_state = 1;
+    CreateCheckBoxControl (par->GetWindowPtr(),&wdgRect,title,_state,TRUE,&contH);
+    SetControlTitleWithCFString (contH, title);
+	_actionProc = NewControlActionUPP (CommonControlActionCallback);
+	SetControlAction (contH, _actionProc);
+	vpiwdg.push_back(this);
+}
+
+
+PICheckBoxQuartz::~PICheckBoxQuartz()
+{
+}
+
+void PICheckBoxQuartz::SetState(bool acp)
+{
+	_state = acp;
+	return;
+}
+
+bool PICheckBoxQuartz::GetState()
+{
+	return _state;
+}
+
+/* ========== PIRadioQuartz ========== */
+
+PIRadioQuartz::PIRadioQuartz(PIContainerQuartz *par,const char *nom, PIMessage msg,int sx, int sy, int px, int py,int initialValue)
+:PIWdg(par,nom,sx,sy,px,py)
+{
+	SetMsg(msg);
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+	SetPortWindowPort(wParent);
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+    CreateRadioButtonControl (par->GetWindowPtr(),&wdgRect,title,initialValue,FALSE,&contH);
+    SetControlTitleWithCFString (contH, title);
+	_actionProc = NewControlActionUPP (CommonControlActionCallback);
+	SetControlAction (contH, _actionProc);
+	vpiwdg.push_back(this);
+}
+
+PIRadioQuartz::~PIRadioQuartz()
+{
+}
+
+/* ========== PIRadioGroupQuartz ========== */
+
+PIRadioGroupQuartz::PIRadioGroupQuartz(PIContainerQuartz *par,const char *nom, PIMessage msg,int sx, int sy, int px, int py)
+:PIWdg(par,nom,sx,sy,px,py)
+{
+	SetMsg(msg);
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+	SetPortWindowPort(wParent);
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+    OSErr error;
+	error = CreateRadioGroupControl (par->GetWindowPtr(),&wdgRect,&contH);
+	_state = 0;
+}
+
+void PIRadioGroupQuartz::AddRadioButton(PIRadio* piRadio)
+{
+	OSErr error;
+	error = EmbedControl(piRadio->GetControlRef(),contH);
+		
+	return;
+}
+
+PIRadioGroupQuartz::~PIRadioGroupQuartz()
+{
+}
+
